<?php
header('Content-Type: application/json');
header("Cache-Control: no-cache, must-revalidate");
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
require("dbinfo.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
mysqli_query($con, "SET SESSION query_cache_type = OFF");
if(!$con){exit;}
$exito_en_consulta = FALSE;
$res = array();
$sql2 = "SELECT * FROM usuarios WHERE 1";
$resultado2 = mysqli_query($con,$sql2);
if ($resultado2 != FALSE){
	if (mysqli_num_rows($resultado2) > 0){
		while($row = mysqli_fetch_assoc($resultado2))
		{
			$elem = array(
							'id'=>$row["ID"],
							'nombre'=>$row["NOMBRE"],
							'password'=>$row["PASS"],
							'celular'=>$row["CELULAR"],		  
							'email'=>$row["EMAIL"],
							'permisos'=>$row["PERMISOS"],
							'empresa'=>$row["EMPRESA"],
							'revisar'=>$row["REVISAR"],
							'descripcion'=>$row["DESCRIPCION"]
      	   				);
			 $exito_en_consulta = TRUE;
			 array_push($res,$elem);
			}
		}
	}			 
if ($exito_en_consulta == FALSE)			
		{
			$elem = array(
			  'id'=>'FALSO',
	          'nombre'=>'FALSO',
			  'password'=>'FALSO',
			  'celular'=>'FALSO',
	          'email'=>'FALSO',
	          'permisos'=>'FALSO',
        	  'empresa'=>'FALSO',
        	  'revisar'=>'FALSO',
			  'descripcion'=>'FALSO'
			  );
			  array_push($res,$elem);    
		}
mysqli_close($con);
echo json_encode($res);
?>